#include "IO.h"
#include "Control.h"

static int previousPowerSwitchState = 0;

void Control_initialize(void)
{
    previousPowerSwitchState = IO_isPowerSwitch1On();
}

void Control_control(void)
{
    int presentPowerSwitchState = IO_isPowerSwitch1On();

    if (!previousPowerSwitchState && presentPowerSwitchState) {
        if (IO_isLamp1On()) IO_lamp1Off();
        else IO_lamp1On();
    }

    previousPowerSwitchState = presentPowerSwitchState;
}

/***** End of File *****/
