#include "IO.h"

#define IO_OFF 0
#define IO_ON  !IO_OFF

static int powerSwitch1State;
static int lamp1State;

static int powerSwitch2State;
static int lamp2State;

void IO_initialize(void)
{
    powerSwitch1State = IO_OFF;
    lamp1State = IO_OFF;

    powerSwitch2State = IO_OFF;
    lamp2State = IO_OFF;
}

void IO_powerSwitch1On(void)
{
    powerSwitch1State = IO_ON;
}

void IO_powerSwitch1Off(void)
{
    powerSwitch1State = IO_OFF;
}

int IO_isPowerSwitch1On(void)
{
    return powerSwitch1State == IO_ON;
}

void IO_lamp1On(void)
{
    lamp1State = IO_ON;
}

void IO_lamp1Off(void)
{
    lamp1State = IO_OFF;
}

int IO_isLamp1On(void)
{
    return lamp1State == IO_ON;
}

void IO_powerSwitch2On(void)
{
    powerSwitch2State = IO_ON;
}

void IO_powerSwitch2Off(void)
{
    powerSwitch2State = IO_OFF;
}

int IO_isPowerSwitch2On(void)
{
    return powerSwitch2State == IO_ON;
}

void IO_lamp2On(void)
{
    lamp2State = IO_ON;
}

void IO_lamp2Off(void)
{
    lamp2State = IO_OFF;
}

int IO_isLamp2On(void)
{
    return lamp2State == IO_ON;
}

/***** End of File *****/
