#include "IO.h"
#include "Control.h"
#include "LampController.h"

void initialize(void)
{
    IO_initialize();
    Control_initialize();
}

void control(void)
{
    Control_control();
}

void powerSwitch1On(void)
{
    IO_powerSwitch1On();
}

void powerSwitch1Off(void)
{
    IO_powerSwitch1Off();
}

int isLamp1On(void)
{
    return IO_isLamp1On();
}

void powerSwitch2On(void)
{
    IO_powerSwitch2On();
}

void powerSwitch2Off(void)
{
    IO_powerSwitch2Off();
}

int isLamp2On(void)
{
    return IO_isLamp2On();
}

/***** End of File *****/
