<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks® Personal Use Edition, 7.8 of 2011年3月30日 on 2012年12月2日 at 16:47:31</time-stamp>


<component-created>
<name>SSK-LampControl</name> <type>package</type>
</component-created><!-- Package SSK-LampControl* -->


<component-property>
<name>SSK-LampControl</name> <type>package</type>
<property>packageName</property> <value>'SSK-LampControl'</value>
</component-property>

<component-property>
<name>SSK-LampControl</name> <type>package</type>
<property>comment</property> <value>'DLLCC exmaple for Smalltalk Study at Kyoto.
'</value>
</component-property>

<class>
<name>LampController</name>
<environment>SSK</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>powerSwitch1State lamp1State powerSwitch2State lamp2State </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>SSK-LampControl</package>
</attributes>
</class>

<comment>
<class-id>SSK.LampController</class-id>
<body>LampController is an implementation of Lamp Control by Smalltalk.

</body>
</comment>

<class>
<name>PushSwitch</name>
<environment>SSK</environment>
<super>UI.ValueHolder</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>name </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>SSK-LampControl</package>
</attributes>
</class>

<comment>
<class-id>SSK.PushSwitch</class-id>
<body>PushSwitch represents hardware push switch.
</body>
</comment>

<class>
<name>BrightnessView</name>
<environment>SSK</environment>
<super>UI.View</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>SSK-LampControl</package>
</attributes>
</class>

<comment>
<class-id>SSK.BrightnessView</class-id>
<body>BrightnessView is a View for Brightness

</body>
</comment>

<class>
<name>LampControlSimulator</name>
<environment>SSK</environment>
<super>UI.ApplicationModel</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>powerSwitch1 powerSwitch2 lamp1 lamp2 controlProcess hasTerminated lampController </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>SSK-LampControl</package>
</attributes>
</class>

<comment>
<class-id>SSK.LampControlSimulator</class-id>
<body>LampControlSimulator  is an ApplicationModel for lamp control simulation.</body>
</comment>

<class>
<name>PushSwitchSelectionTracker</name>
<environment>SSK</environment>
<super>UI.SelectionTracker</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>SSK-LampControl</package>
</attributes>
</class>

<comment>
<class-id>SSK.PushSwitchSelectionTracker</class-id>
<body>PushSwitchSelectionTracker is a subclass of UI.SelectionTracker for PushSwitchController.</body>
</comment>

<class>
<name>PushSwitchController</name>
<environment>SSK</environment>
<super>UI.Controller</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>SSK-LampControl</package>
</attributes>
</class>

<comment>
<class-id>SSK.PushSwitchController</class-id>
<body>PushSwitchController is a Controller for PushSwitch.
</body>
</comment>

<class>
<name>PushSwitchView</name>
<environment>SSK</environment>
<super>UI.View</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>SSK-LampControl</package>
</attributes>
</class>

<comment>
<class-id>SSK.PushSwitchView</class-id>
<body>PushSwitchView is aView for PushSwitch.

</body>
</comment>

<class>
<name>Brightness</name>
<environment>SSK</environment>
<super>UI.ValueHolder</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>SSK-LampControl</package>
</attributes>
</class>

<comment>
<class-id>SSK.Brightness</class-id>
<body>Brightness is represent brightness by number form 0 to 1.0

</body>
</comment>

<methods>
<class-id>SSK.LampController class</class-id> <category>instance creation</category>

<body package="SSK-LampControl" selector="new">new

	^(super new)
		initialize;
		yourself</body>
</methods>


<methods>
<class-id>SSK.LampController</class-id> <category>private</category>

<body package="SSK-LampControl" selector="isPowerSwitch1On">isPowerSwitch1On

	^powerSwitch1State = #on</body>

<body package="SSK-LampControl" selector="isPowerSwitch2On">isPowerSwitch2On

	^powerSwitch2State = #on</body>

<body package="SSK-LampControl" selector="lamp2Off">lamp2Off

	lamp2State := #off</body>

<body package="SSK-LampControl" selector="lamp1Off">lamp1Off

	lamp1State := #off</body>

<body package="SSK-LampControl" selector="lamp1On">lamp1On

	lamp1State := #on</body>

<body package="SSK-LampControl" selector="lamp2On">lamp2On

	lamp2State := #on</body>
</methods>

<methods>
<class-id>SSK.LampController</class-id> <category>accessing</category>

<body package="SSK-LampControl" selector="powerSwitch1Off">powerSwitch1Off

	powerSwitch1State := #off</body>

<body package="SSK-LampControl" selector="powerSwitch2On">powerSwitch2On

	powerSwitch2State := #on</body>

<body package="SSK-LampControl" selector="powerSwitch2Off">powerSwitch2Off

	powerSwitch2State := #off</body>

<body package="SSK-LampControl" selector="powerSwitch1On">powerSwitch1On

	powerSwitch1State := #on</body>

<body package="SSK-LampControl" selector="control">control

	self isPowerSwitch1On ifTrue: [self lamp1On] ifFalse: [self lamp1Off].
	self isPowerSwitch2On ifTrue: [self lamp2On] ifFalse: [self lamp2Off]</body>
</methods>

<methods>
<class-id>SSK.LampController</class-id> <category>testing</category>

<body package="SSK-LampControl" selector="isLamp2On">isLamp2On

	^lamp2State = #on</body>

<body package="SSK-LampControl" selector="isLamp1On">isLamp1On

	^lamp1State = #on</body>
</methods>

<methods>
<class-id>SSK.LampController</class-id> <category>initialize-release</category>

<body package="SSK-LampControl" selector="initialize">initialize

	super initialize.
	powerSwitch1State := #off.
	lamp1State := #off.
	powerSwitch2State := #off.
	lamp2State := #off.
	^self</body>
</methods>


<methods>
<class-id>SSK.LampControlSimulator class</class-id> <category>interface specs</category>

<body package="SSK-LampControl" selector="windowSpec">windowSpec
	"Tools.UIPainter new openOnClass: self andSelector: #windowSpec"

	&lt;resource: #canvas&gt;
	^#(#{UI.FullSpec} 
		#window: 
		#(#{UI.WindowSpec} 
			#label: 'Lamp Control Simulation' 
			#bounds: #(#{Graphics.Rectangle} 608 344 833 555 ) ) 
		#component: 
		#(#{UI.SpecCollection} 
			#collection: #(
				#(#{UI.ArbitraryComponentSpec} 
					#layout: #(#{Graphics.Rectangle} 2 2 222 97 ) 
					#name: #lamp1View 
					#component: #lamp1View ) 
				#(#{UI.ArbitraryComponentSpec} 
					#layout: #(#{Graphics.Rectangle} 3 99 222 207 ) 
					#name: #powerSwitch1View 
					#component: #powerSwitch1View ) ) ) )</body>

<body package="SSK-LampControl" selector="windowSpec2">windowSpec2
	"Tools.UIPainter new openOnClass: self andSelector: #windowSpec2"

	&lt;resource: #canvas&gt;
	^#(#{UI.FullSpec} 
		#window: 
		#(#{UI.WindowSpec} 
			#label: 'Lamp Control Simulation' 
			#min: #(#{Core.Point} 20 20 ) 
			#max: #(#{Core.Point} 0 0 ) 
			#bounds: #(#{Graphics.Rectangle} 606 344 1056 554 ) ) 
		#component: 
		#(#{UI.SpecCollection} 
			#collection: #(
				#(#{UI.ArbitraryComponentSpec} 
					#layout: #(#{Graphics.LayoutFrame} 2 0 2 0 -2 0.5 -2 0.5 ) 
					#name: #lamp1View 
					#component: #lamp1View ) 
				#(#{UI.ArbitraryComponentSpec} 
					#layout: #(#{Graphics.LayoutFrame} 2 0 2 0.5 -2 0.5 -2 1 ) 
					#name: #powerSwitch1View 
					#component: #powerSwitch1View ) 
				#(#{UI.ArbitraryComponentSpec} 
					#layout: #(#{Graphics.LayoutFrame} 2 0.5 2 0 -2 1 -2 0.5 ) 
					#name: #lamp2View 
					#component: #lamp2View ) 
				#(#{UI.ArbitraryComponentSpec} 
					#layout: #(#{Graphics.LayoutFrame} 2 0.5 2 0.5 -2 1 -2 1 ) 
					#name: #powerSwitch2View 
					#component: #powerSwitch2View ) ) ) )</body>
</methods>

<methods>
<class-id>SSK.LampControlSimulator class</class-id> <category>instance creation</category>

<body package="SSK-LampControl" selector="new">new

	^(super new)
		initialize;
		yourself</body>
</methods>


<methods>
<class-id>SSK.LampControlSimulator</class-id> <category>controlling</category>

<body package="SSK-LampControl" selector="controlLoop">controlLoop

	[self hasTerminated] whileFalse: 
			[self inRefresh.
			self control.
			self outRefresh.
			(Delay forMilliseconds: 1) wait]</body>

<body package="SSK-LampControl" selector="control">control

	self lampController control</body>

<body package="SSK-LampControl" selector="outRefresh">outRefresh

	self lampController isLamp1On ifTrue: [lamp1 brightest] ifFalse: [lamp1 darkest].
	self lampController isLamp2On ifTrue: [lamp2 brightest] ifFalse: [lamp2 darkest]</body>

<body package="SSK-LampControl" selector="inRefresh">inRefresh

	powerSwitch1 isOn
		ifTrue: [self lampController powerSwitch1On]
		ifFalse: [self lampController powerSwitch1Off].

	powerSwitch2 isOn
		ifTrue: [self lampController powerSwitch2On]
		ifFalse: [self lampController powerSwitch2Off]</body>
</methods>

<methods>
<class-id>SSK.LampControlSimulator</class-id> <category>accessing</category>

<body package="SSK-LampControl" selector="powerSwitch1View">powerSwitch1View

	^(PushSwitchView new)
		model: powerSwitch1;
		yourself</body>

<body package="SSK-LampControl" selector="hasTerminated">hasTerminated

	^hasTerminated</body>

<body package="SSK-LampControl" selector="lampController">lampController

	lampController ifNil: [lampController := self defaultLampController].
	^lampController</body>

<body package="SSK-LampControl" selector="lamp1View">lamp1View

	^(BrightnessView new)
		model: lamp1;
		yourself</body>

<body package="SSK-LampControl" selector="powerSwitch2View">powerSwitch2View

	^(PushSwitchView new)
		model: powerSwitch2;
		yourself</body>

<body package="SSK-LampControl" selector="lamp2View">lamp2View

	^(BrightnessView new)
		model: lamp2;
		yourself</body>

<body package="SSK-LampControl" selector="lampController:">lampController: aLampController

	lampController := aLampController</body>
</methods>

<methods>
<class-id>SSK.LampControlSimulator</class-id> <category>defaults</category>

<body package="SSK-LampControl" selector="defaultLampControllerClass">defaultLampControllerClass

	^LampController</body>

<body package="SSK-LampControl" selector="defaultLampController">defaultLampController

	^self defaultLampControllerClass new</body>
</methods>

<methods>
<class-id>SSK.LampControlSimulator</class-id> <category>interface closing</category>

<body package="SSK-LampControl" selector="noticeOfWindowClose:">noticeOfWindowClose: aWindow
	"The ApplicationWindow aWindow is in the process of closing. 
	You have been notified."

	super noticeOfWindowClose: aWindow.
	hasTerminated := true.
	^self</body>
</methods>

<methods>
<class-id>SSK.LampControlSimulator</class-id> <category>interface opening</category>

<body package="SSK-LampControl" selector="postOpenWith:">postOpenWith: aBuilder 

	super postOpenWith: aBuilder.
	controlProcess resume.</body>
</methods>

<methods>
<class-id>SSK.LampControlSimulator</class-id> <category>initialize-release</category>

<body package="SSK-LampControl" selector="initialize">initialize

	powerSwitch1 := (PushSwitch named: 'PowerSwitch1') off.
	lamp1 := Brightness new darkest.
	powerSwitch2 := (PushSwitch named: 'PowerSwitch2') off.
	lamp2 := Brightness new darkest.
	hasTerminated := false.
	controlProcess := Process forBlock: [self controlLoop] priority: Processor userInterruptPriority</body>
</methods>


<methods>
<class-id>SSK.PushSwitchView</class-id> <category>controller accessing</category>

<body package="SSK-LampControl" selector="defaultControllerClass">defaultControllerClass

	^PushSwitchController</body>
</methods>

<methods>
<class-id>SSK.PushSwitchView</class-id> <category>displaying</category>

<body package="SSK-LampControl" selector="displaySwitchOffStatusOn:">displaySwitchOffStatusOn: aGraphicsContext

	self
		displaySwitchStatusOn: aGraphicsContext
		topLeftColor: ColorValue veryLightGray
		bottomRightColorValue: ColorValue veryDarkGray</body>

<body package="SSK-LampControl" selector="displaySwitchStatusOn:topLeftColor:bottomRightColorValue:">displaySwitchStatusOn: aGraphicsContext topLeftColor: topLeftColorValue bottomRightColorValue: bottomRightColorValue

	| originalLineWidth border inBounds |
	border := self bounds.
	inBounds := border expandedBy: -1.
	originalLineWidth := aGraphicsContext lineWidth.
	aGraphicsContext lineWidth: 1.
	aGraphicsContext paint: topLeftColorValue.
	aGraphicsContext displayLineFrom: border topLeft + (0 @ 0) to: border topRight + (-1 @ 0).
	aGraphicsContext displayLineFrom: border topLeft + (0 @ 0) to: border bottomLeft + (0 @ -1).
	aGraphicsContext paint: bottomRightColorValue.
	aGraphicsContext displayLineFrom: border bottomLeft + (1 @ -1) to: border bottomRight + (0 @ -1).
	aGraphicsContext displayLineFrom: border topRight + (-1 @ 0) to: border bottomRight + (-1 @ 0).
	aGraphicsContext lineWidth: originalLineWidth.
	aGraphicsContext paint: ColorValue lightGray.
	aGraphicsContext displayRectangle: inBounds</body>

<body package="SSK-LampControl" selector="displaySwitchOnStatusOn:">displaySwitchOnStatusOn: aGraphicsContext

	self
		displaySwitchStatusOn: aGraphicsContext
		topLeftColor: ColorValue veryDarkGray
		bottomRightColorValue: ColorValue veryLightGray</body>

<body package="SSK-LampControl" selector="displayOn:">displayOn: aGraphicsContext

	| aComposedText aPoint |
	model isOn
		ifTrue: [self displaySwitchOnStatusOn: aGraphicsContext]
		ifFalse: [self displaySwitchOffStatusOn: aGraphicsContext].
	aGraphicsContext paint: ColorValue black.
	aComposedText := model name asComposedText.
	aPoint := self bounds center + (model isOn ifTrue: [1 @ 1] ifFalse: [0 @ 0]) - (aComposedText extent / 2).
	aComposedText displayOn: aGraphicsContext at: aPoint</body>
</methods>


<methods>
<class-id>SSK.PushSwitch class</class-id> <category>instance creation</category>

<body package="SSK-LampControl" selector="named:">named: aString

	^(self new)
		setName: aString;
		yourself</body>

<body package="SSK-LampControl" selector="new">new

	^(super new)
		initialize;
		yourself</body>
</methods>

<methods>
<class-id>SSK.PushSwitch class</class-id> <category>examples</category>

<body package="SSK-LampControl" selector="example">example

	"PushSwitch example."

	| aModel aView aWindow |
	aModel := PushSwitch named: 'Touch Switch'.
	aView := PushSwitchView new model: aModel.
	aWindow := ScheduledWindow new.
	aWindow label: 'Touch Switch Example'.
	aWindow component: aView.
	aWindow openIn: (400 @ 50 extent: 300 @ 100).
	^aModel</body>
</methods>


<methods>
<class-id>SSK.PushSwitch</class-id> <category>initialize-release</category>

<body package="SSK-LampControl" selector="initialize">initialize

	self off.
	name := ''.</body>
</methods>

<methods>
<class-id>SSK.PushSwitch</class-id> <category>accessing</category>

<body package="SSK-LampControl" selector="off">off

	self value: #off.</body>

<body package="SSK-LampControl" selector="name">name

	^name</body>

<body package="SSK-LampControl" selector="on">on

	self value: #on.</body>

<body package="SSK-LampControl" selector="isOn">isOn

	^value = #on</body>
</methods>

<methods>
<class-id>SSK.PushSwitch</class-id> <category>private</category>

<body package="SSK-LampControl" selector="setName:">setName: aString

	name := aString</body>
</methods>


<methods>
<class-id>SSK.Brightness class</class-id> <category>instance creation</category>

<body package="SSK-LampControl" selector="new">new

	^(super new)
		initialize;
		yourself</body>
</methods>


<methods>
<class-id>SSK.Brightness</class-id> <category>accessing</category>

<body package="SSK-LampControl" selector="bright">bright

	self value: 0.8</body>

<body package="SSK-LampControl" selector="brightest">brightest

	self value: 1</body>

<body package="SSK-LampControl" selector="darkest">darkest

	self value: 0</body>
</methods>

<methods>
<class-id>SSK.Brightness</class-id> <category>initialize-release</category>

<body package="SSK-LampControl" selector="initialize">initialize

	self darkest.</body>
</methods>


<methods>
<class-id>SSK.BrightnessView class</class-id> <category>examples</category>

<body package="SSK-LampControl" selector="example">example
	"BrightnessView example"

	| aModel aView aWindow |
	aModel := Brightness new.
	aView := Tao.BrightnessView new.
	aView model: aModel.
	aWindow := ScheduledWindow new.
	aWindow label: 'Brightness View Example'.
	aWindow component: aView.
	aWindow openIn: (400 @ 300 extent: 200 @ 100).
	^aModel</body>
</methods>


<methods>
<class-id>SSK.BrightnessView</class-id> <category>displaying</category>

<body package="SSK-LampControl" selector="displayOn:">displayOn: aGraphicsContext

	aGraphicsContext paint: (ColorValue brightness: model value).
	aGraphicsContext displayRectangle: self bounds.</body>
</methods>


<methods>
<class-id>SSK.PushSwitchSelectionTracker</class-id> <category>private</category>

<body package="SSK-LampControl" selector="finishSelectionFor:">finishSelectionFor: aPoint

	controller redButtonReleasedAt: aPoint.
	super finishSelectionFor: aPoint</body>

<body package="SSK-LampControl" selector="trackSelectionFor:">trackSelectionFor: aPoint

	controller redButtonMovedTo: aPoint.
	super trackSelectionFor: aPoint</body>

<body package="SSK-LampControl" selector="setUpFor:">setUpFor: aMouseButtonEvent
	
	controller redButtonPressedAt: (self cursorPointFor: aMouseButtonEvent).
	super setUpFor: aMouseButtonEvent</body>
</methods>


<methods>
<class-id>SSK.PushSwitchController</class-id> <category>event driven</category>

<body package="SSK-LampControl" selector="selectionTracker">selectionTracker
	
	^PushSwitchSelectionTracker on: self</body>
</methods>

<methods>
<class-id>SSK.PushSwitchController</class-id> <category>events</category>

<body package="SSK-LampControl" selector="redButtonMovedTo:">redButtonMovedTo: aPoint
	
	^self</body>

<body package="SSK-LampControl" selector="redButtonReleasedAt:">redButtonReleasedAt: aPoint
	
	self model off.</body>

<body package="SSK-LampControl" selector="redButtonPressedEvent:">redButtonPressedEvent: event

	^self selectEvent: event</body>

<body package="SSK-LampControl" selector="redButtonPressedAt:">redButtonPressedAt: aPoint
	
	self model on.</body>
</methods>



</st-source>
